<template>
  <div>
    <b-button :variant="variant" class="mb-2">Default</b-button>
  </div>
</template>

<script>
  export default {
    props:['variant'],
    methods: {
      makeToast(variant = null) {
        this.$bvToast.toast('Toast body content', {
          title: `Variant ${variant || 'default'}`,
          variant: variant,
          solid: true
        })
      }
    }
  }
</script>